Hello,

I am conducting a comparative study on household conditions in London and the South West, using the calendar year 2022 dataset
available via the UK Data Service (Open Access version). | would like to double-check that | have correctly implemented the merging
and survey weighting procedures to ensure a representative sample.

My unit of analysis is the individual, but | also need to incorporate household income to so | attempted to merge the indresp and
hhresp files using the below:

merged_data <- merge(individual_data, household_data, by = "Imn_hidp")

| then constructed the survey design object in R using the survey package as follows:

design <- svydesign(

id = ~Imn_psu, #this is to account for clustering

strata = ~lmn_strata, #stratification

weights = ~Imn_inding2_xw, #the only cross sectional weight | found for the main individual interview
data = mydata,

nest = TRUE
)

| would be grateful if you could confirm:

Is this the correct approach for merging and weighting when conducting individual-level analysis that includes household-level
variables?

Is the use of Imn_inding2_xw appropriate for generating representative estimates for calendar year 20227

Can | assume that the results produced using svytable() or svymean() with this design object are representative of the UK population
for 20227

As an example, | am using the following line to get the weighted sample distribution across regions (with regional_breakdown being a
recode of Imn_gor_dv):

svytable(~regional_breakdown, design)

| appreciate any feedback you can provide. Thank you in advance!

History

#1 - 07/30/2025 12:05 PM - Balsam Gharib

Hello,

| am conducting a comparative study on household conditions in London and the South West, using the calendar year 2022 dataset available via the
UK Data Service (Open Access version). | would like to double-check that | have correctly implemented the merging and survey weighting procedures
to ensure a representative sample.

My unit of analysis is the individual, but | also need to incorporate household income to so | attempted to merge the indresp and hhresp files in R
using the below:

merged_data <- merge(individual_data, household_data, by = "Imn_hidp")

| then constructed the survey design object in R using the survey package as follows:
design <- svydesign(

id = ~Imn_psu, #this is to account for clustering

strata = ~Imn_strata, #stratification

weights = ~Imn_inding2_xw, #the only cross sectional weight | found for the main individual interview
data = mydata,

nest = TRUE

)

| would be grateful if you could confirm:
e |s this the correct approach for merging the files when conducting individual-level analysis that includes household-level variables?

e |s the use of Imn_inding2_xw appropriate for generating representative estimates for calendar year 20227 This weight is only for wave 14
eventhough the calendar year 2022 includes wave 13 and a few respondents from wave 12.

e Can | assume that the results produced using svytable() or svymean() with this design object are representative of the UK population for 20227

As an example, | am using the following line to get the weighted sample distribution across regions (with regional_breakdown being a recode of
Imn_gor_dv):

svytable(~regional_breakdown, design)

| appreciate any feedback you can provide. Thank you in advance!

#2 - 08/04/2025 02:41 PM - Understanding Society User Support Team
- Category set to Weights
- Status changed from New to Feedback

- % Done changed from 0 to 80

Hello,

The approach you described sounds correct. About cross-sectional weights - there are 3 _xw waves available in the calendar year 2022 indresp file:
Imn_indpxg2_xw, Imn_inding2_xw, Imn_indscg2_xw. When you want to include proxies in the analysis use Imn_indpxg2_xw (other two exclude
proxies altogether), if your analysis includes questions that come from the self-completion questionnaire and the main questionnaire use
Imn_indscg2_xw. If you're using only questions from the main questionnaire with no self-completion questions use Imn_inding2_xw. In principle, the
same rules as described below apply to picking the weights for the calendar year dataset:
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/selecting-the-correct-weight-for-your-analysis/

Best wishes,
Piotr Marzec
UKHLS User Support

#3 - 08/04/2025 02:46 PM - Understanding Society User Support Team

- Private changed from Yes to No

#4 - 08/04/2025 02:53 PM - Balsam Gharib
Understanding Society User Support Team wrote in #note-2:

Hello,

The approach you described sounds correct. About cross-sectional weights - there are 3 _xw waves available in the calendar year 2022 indresp
file: Imn_indpxg2_xw, Imn_inding2_xw, Imn_indscg2_xw. When you want to include proxies in the analysis use Imn_indpxg2_xw (other two
exclude proxies altogether), if your analysis includes questions that come from the self-completion questionnaire and the main questionnaire use
Imn_indscg2_xw. If you're using only questions from the main questionnaire with no self-completion questions use Imn_inding2_xw. In principle,
the same rules as described below apply to picking the weights for the calendar year dataset:

Best wishes,
Piotr Marzec
UKHLS User Support

Hello Piotr,

Thank you very much for you response. Yes, | am using the main questionnaire so I'll depend on Imn_inding2_xw. Can | now assume, that following
this weighting process, the results | obtain from the analysis constitute a representative sample of the UK population for the calendar year 20227

(I am bit new to working with weights and want to make sure | did not miss anything else)
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/selecting-the-correct-weight-for-your-analysis/
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/selecting-the-correct-weight-for-your-analysis/
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/selecting-the-correct-weight-for-your-analysis/

#5 - 08/04/2025 05:24 PM - Understanding Society User Support Team
Hello,

Yes, the results will be representative of the UK population. See the User Guide, section 4.1 (

Best wishes,
Piotr

08/04/2025 3/3


https://doc.ukdataservice.ac.uk/doc/9333/mrdoc/pdf/9333_main_survey_calendar_year_user_guide_2022.pdf
http://www.tcpdf.org

